> For the complete documentation index, see [llms.txt](https://docs.cashmere.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cashmere.finance/reference/idl-methods/create-transaction.md).

# Create Transaction

```javascript
// find the PDA of the multisig (multisigSigner)
const [multisigSigner, nonce] =
  await anchor.web3.PublicKey.findProgramAddress(
    [multisig.publicKey.toBuffer()],
    multisigProgram.programId
  );

// instruction being proposed to the multisig for approval
// this instruction transfers SOL
const proposedIx = web3.SystemProgram.transfer({
      /** Account that will transfer lamports */
      fromPubkey: multisigSigner,
      /** Account that will receive transferred lamports */
      toPubkey: receiverAddress.publicKey,
      /** Amount of lamports to transfer */
      lamports: new anchor.BN(100),
    });

// accounts that will be operated on by the proposed instruction
const proposedIxAccounts = [
    {
      pubkey: multisigSigner,
      isWritable: false,
      isSigner: true,
    },
    {
      pubkey: receiverAddress.publicKey,
      isWritable: true,
      isSigner: false,
    },
  ];

// keypair for the account that will hold the
// proposed transaction instruction
const txAccountKeypair = anchor.web3.Keypair.generate();
const txAccountPublicKey = txAccountKeypair.publicKey;
const txSize = 1000; // arbitrarily big enough
    
await multisigProgram.rpc.createTransaction(
      proposedIx.programId,
      proposedIxAccounts,
      proposedIx.data,
      {
        accounts: {
          multisig: multisigPublicKey,
          transaction: txAccountPublicKey,
          proposer: provider.wallet.publicKey,
        },
        instructions: [
          // first create the account that will hold the
          // proposed transaction instruction and maintain
          // approved signers list
          await multisigProgram.account.transaction.createInstruction(
            txAccountKeypair,
            txSize
          ),
        ],
        signers: [txAccountKeypair],
      }
    );
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cashmere.finance/reference/idl-methods/create-transaction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
